> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.idenfy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List AML monitorings



## OpenAPI

````yaml /openapi/aml.yaml get /aml/monitorings/
openapi: 3.1.0
info:
  title: iDenfy IVS Core API
  version: 0.0.0
  description: iDenfy Identity Verification Service's Core API documentation.
  contact:
    name: API Support
    url: https://idenfy-ivs.atlassian.net/servicedesk/customer/portal/1/group/-1
  x-logo:
    url: /static/idenfy_logo.svg
    altText: iDenfy logo
servers:
  - url: https://ivs.idenfy.com
security: []
tags:
  - name: AML Checks
    description: Anti-money laundering check endpoints.
  - name: AML Monitorings
    description: Anti-money laundering monitoring endpoints.
externalDocs:
  description: For other/more docs on iDenfy services visit our main documentation page.
  url: https://documentation.idenfy.com
paths:
  /aml/monitorings/:
    get:
      tags:
        - AML Monitorings
      summary: List AML monitorings
      operationId: amlMonitoringsList
      parameters:
        - in: query
          name: created
          schema:
            type: array
            items:
              type: string
              format: date-time
          description: Multiple values may be separated by commas.
          explode: false
          style: form
        - in: query
          name: expiration
          schema:
            type: array
            items:
              type: string
              format: date-time
          description: Multiple values may be separated by commas.
          explode: false
          style: form
        - in: query
          name: isExpired
          schema:
            type: boolean
        - in: query
          name: name
          schema:
            type: string
        - in: query
          name: orderBy
          schema:
            type: array
            items:
              type: string
              enum:
                - '-created'
                - '-expiration'
                - created
                - expiration
          description: Ordering
          explode: false
          style: form
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: perPage
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - in: query
          name: status
          schema:
            type: string
            enum:
              - ACTIVE
              - ALERT
              - PENDING
              - STOPPED
        - in: query
          name: tags
          schema:
            type: array
            items:
              type: array
              items:
                type: string
                minLength: 1
          explode: false
          style: form
        - in: query
          name: userType
          schema:
            enum:
              - COMPANY
              - PERSON
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedAmlMonitoringListList'
          description: ''
      security:
        - apiKeyPair: []
components:
  schemas:
    PaginatedAmlMonitoringListList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/AmlMonitoringList'
    AmlMonitoringList:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          maxLength: 100
        status:
          $ref: '#/components/schemas/MonitoringStatusEnum'
        userType:
          $ref: '#/components/schemas/UserMonitoringTypeEnum'
        isSubscribed:
          type: boolean
        checkedAt:
          type: string
          format: date-time
        expiration:
          type: string
          format: date-time
        tags:
          type: array
          items:
            type: string
            maxLength: 32
            pattern: ^[^,]+$
          default: []
          description: >-
            List of case-sensitive strings. Each tag can not be longer than 32
            characters.
          maxItems: 5
        created:
          type: string
          format: date-time
          readOnly: true
      required:
        - checkedAt
        - created
        - id
        - name
        - userType
    MonitoringStatusEnum:
      enum:
        - ACTIVE
        - STOPPED
        - PENDING
        - ALERT
      type: string
    UserMonitoringTypeEnum:
      enum:
        - COMPANY
        - PERSON
      type: string
  securitySchemes:
    apiKeyPair:
      type: http
      scheme: basic
      description: >-
        The request must contain basic auth headers where username is *API key*
        and password is *API secret*.<br>

        In order for you to start using our API you will need an **API key** and
        **API secret**.<br>

        Both can be retrieved by contacting *iDenfy's support* or *iDenfy's
        sales team*.

````